/* Copyright (c) 2018
   Charles Jordan (Hokkaido University, Sapporo, Japan),
   Michael Joswig, Lars Kastner (Technische Universitaet Berlin, Germany)

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 3, or (at your option) any
   later version: http://www.gnu.org/licenses/gpl.txt.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
-----------------------------------------------------------------------------
*/

#include "SymmetryConverter.hh"

pm::Array<int> symmetry2array(const Symmetry& s){
   pm::Array<int> result(s.n());
   for(int i=0; i<s.n(); i++){
      result[i] = s[i];
   }
   return result;
}

Symmetry array2symmetry(const pm::Array<int>& s){
   Symmetry result(s.size());
   for(int i=0; i<s.size(); i++){
      result[i] = s[i];
   }
   return result;
}
